﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Benday.WebLoadTest.WebUi
{
    public partial class AlbumList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (this.IsPostBack == false)
            {
                PopulateForm();
            }
        }

        private void PopulateForm()
        {
            var albums = GetListOfAlbums(); 

            m_grid.DataSource = albums;
            m_grid.DataBind();

            m_labelRowCount.Text = albums.Count.ToString();
        }

        private List<Album> GetListOfAlbums()
        {
            var albums = new List<Album>();

            int id = 0;

            albums.Add(new Album(++id, "Branford Marsalis", "Crazy People Music", "1990"));
            albums.Add(new Album(++id, "Dapp Theory", "Y'all Just Don't Know", "2003"));
            albums.Add(new Album(++id, "Darrell Grant", "Truth and Reconciliation", "2007"));
            albums.Add(new Album(++id, "Fred Hersch", "Leaves of Grass", "2005"));
            albums.Add(new Album(++id, "Joe Locke", "Force of Four", "2008"));
            albums.Add(new Album(++id, "King's Singers", "Landscape & Time", "2006"));

            return albums;
        }
    }
}